Index: branches/celepar/jabberit_messenger/js/.packer.load.js
===================================================================
--- branches/celepar/jabberit_messenger/js/.packer.load.js	(revision 727)
+++ 	(revision )
@@ -1,1 +1,0 @@
-eval(function(p,a,c,k,e,d){e=function(c){return(c<a?'':e(c/a))+String.fromCharCode(c%a+161)};if(!''.replace(/^/,String)){while(c--){d[e(c)]=k[c]||e(c)}k=[function(e){return d[e]}];e=function(){return'\[\xa1-\xff]+'};c=1};while(c--){if(k[c]){p=p.replace(new RegExp(e(c),'g'),k[c])}}return p}('(€(){¡ ¢î=€¡;¡ ¢¢;¡ ¢Â=ò £û(ä);¡ Ì=ò €Ö(ä);¡ é=ò €Å(€Ç);¡ ­=\'\';¡ €Ä=\'\';¡ Ã=\'\';¡ å=\'\';¡ É=\'\';¡ ®=¢Ø.€Ã.€¿();¡ ã=¢È(¢Ø.£Õ);¡ €Ñ=€Ð(¢Ø.£Õ);¡ €­=((®.ª(\'€€\')!=-1)&&(®.ª(\'€š\')==-1)&&(®.ª(\'€ž\')==-1)&&(®.ª(\'£¿\')==-1)&&(®.ª(\'€¹\')==-1)&&(®.ª(\'€º\')==-1));¡ €»=(®.ª(\'€µ\')!=-1);¡ €œ=(®.ª(\'£¯/1.5\')!=-1||®.ª(\'£¯/2\')!=-1||®.ª(\'€Ž/2\')!=-1);¡ ¯=((®.ª("ý")!=-1)&&(®.ª("£¿")==-1));¡ ¢Æ=(¯&&(ã<4));¡ ¢Ç=(¯&&(ã==4)&&(®.ª("ý 4")!=-1));¡ €³=(¯&&(ã>=4));¡ ¢û=(¯&&(ã==4)&&(®.ª("ý 5.0")!=-1));¡ £ó=(¯&&(ã==4)&&(®.ª("ý 5.5")!=-1));¡ €±=(¯&&!¢Æ&&!¢Ç);¡ €²=(¯&&!¢Æ&&!¢Ç&&!¢û);¡ €¶=(¯&&(ã==4)&&(®.ª("ý 6.")!=-1));¡ €·=(¯&&!¢Æ&&!¢Ç&&!¢û&&!£ó);¡ €°=((®.ª("€¯")!=-1)||(®.ª("€§")!=-1));£(!(§.³(\'£Ñ\'))){¡ ü=§.¿(\'Í\');ü.Ê(\'à\',\'£Ñ\');ü=§.£ã.Ë(ü)}¡ Ô=ò €Š(Ì,ü);¡ ¢Ä=ò €©(¢Â,Ì,Ô);€ £ª(){¢Ä.€ª()}€ ¢ñ(){¡ Ï=§.³(\'€®\');£(¢ó=§.³(\'€¬\')){¡ ¢í=§.³(\'£ì\');¢ó.þ.ú(¢í,¢ó);¢í.¢.£õ=\'£ô\';¢þ}£(Ï){Ï.¢.£õ=\'£ô\';¡ ¢ì=§.¿(\'Í\');¢ì.Ë(Ï.þ.€«(Ï.£Þ));Ï.þ.ú(¢ì,Ï);¡ Ñ=§.¿(\'Í\');Ñ.Ê(\'à\',\'£ì\');¡ Š=Ü.§.¿(\'Í\');Š.Ê(\'à\',\'€Œ\');Š.¢.¢¬=\'¢ð-¢ê\';Š.¢.¢¹=\'¢é(\'+€£.Á+\')\';Š.¢.¢ø=\'Ç\';Š.¢.ß=\'¢¶\';Š.¢.Ç=\'€Ï\';Š.¢.Ø=\'8 0 0 £¥\';Š.¢.û=\'Â\';Š.¢.À=\'¢¯\';Š.¢.Ó=\'¢¶\';Š.¢.ó=\'¢°\';Ñ.ú(Š,Ñ.ë);¡ µ;µ=Ü.§.¿(\'Í\');µ.Ê(\'à\',\'£ß\');µ.¢.¢º=\'£š\';µ.¢.Õ=\'Ò £¢ #¢ª\';µ.¢.õ=\'¢š\';µ.¢.Ø=\'£Œ ¢« Â -¢¶\';µ.¢.À=\'¢¯\';µ.¢.£»=\'££\';µ.í=€(){é.¢Ì(º)};µ.ð=€(){é.¢Ì(»)};Ñ.ú(µ,Ñ.ë);¡ ±=Ü.§.¿(\'Í\');±.Ê(\'à\',\'¢Ê\');±.¢.¢¬=\'¢ð-¢ê\';±.¢.¢¹=\'¢é(\'+€Î.Á+\')\';±.¢.¢ø=\'Ç\';±.¢.ß=\'£æ\';±.¢.Ç=\'€Í\';±.¢.Ø=\'0 0 0 £¥\';±.¢.û=\'Â\';±.¢.À=\'¢¯\';±.¢.Ó=\'£æ\';±.¢.ó=\'¢°\';±.¢.£Ý=\'€Ë\';€Ì=±;Ñ.ú(±,Ñ.ë);Ï.ú(Ñ,Ï.ë);Ä(±,\'Æ\',¢¿);Ä(Š,\'Æ\',€(){¡ ì=[[\'€Õ €Ô\',£ª],[\'€Ó\',£å],[\'¢ž\',¢ú],[\'€Ò €Ê\',£Ã]];¡ £À=\'ó: ¢°; û:÷ ÷ ÷ ¢¶; Õ-¢ÿ:Ò ¢Ã #¢Ò; ¢¬: ¢ð-¢ê ¢é(\'+€É.Á+\');\';¡ Þ=Ì.¢Þ(\'€Â\');¡ ¢¥;¡ è;¡ €Á;¡ ¢É;Î(¡ i £¡ ì){¢¥=Þ.¿(\'€À\');è=Þ.¿(\'€Ÿ\');è.Ë(Þ.£Ž(¬(ì[i][0])));¢É=Þ.¿(\'¢\');¢É.Ë(Þ.£Ž(£À));¢¥.Ë(è);¢¥.Ë(¢É);Þ.€È.Ë(¢¥)}µ.¢®=Ì.¢Ý(Þ,\'².¢Ù\');é.£¹(\'ð\',\'í\',µ);è=µ.ë;Î(¡ i £¡ ì){è.£²[i].Ê(\'€Æ\',ì[i]);Ä(è.£²[i],\'Æ\',ì[i][1])}})}}€ Û(){£(¢¢)£ü(¢¢);¡ Ð=§.³(\'¢Ê\');£(Ð){¡ Š=Ð.¢.¢¹;Š=Š.¢œ(Š.£ä(\'/\')+1);Š=Š.¢œ(0,Š.ª(\'.\'));£(Š==\'£ù\'&&Ð.£ú(\'Û\')){Ð.£ø(\'Û\');¢Ž("2")}}¡ ¢ò=É.á(\':\');£(¢ò[1])¢¢=¢Û(¢ë,¢È(¢ò[1])*¢î);© ¢¢=¢Û(¢ë,¢È(¢î))}€ ¢ë(){¡ Ð=§.³(\'¢Ê\');£(Ð){¡ Š=Ð.¢.¢¹;Š=Š.¢œ(Š.£ä(\'/\')+1);Š=Š.¢œ(0,Š.ª(\'.\'));£(Š==\'£ý\'){Ð.Ê(\'Û\',\'»\');¢Ž("5")}}}€ £¶(){£(°.ž>0){¡ Ÿ=°[0].þ.þ.ë;£(°[0].£ÿ)Ÿ.¢®="<¢ç ¢=\'£·:£þ;\'>€¢ o £ö .: </¢ç>";© Ÿ.¢®="£÷ €¥ ¥ç .: "}}€ ¢Ž(){£(°.ž>0){£¬{£(£€=§.³(\'¥Ã\')){£(!¯)£€.¥Â.£§[0].¢ö(°[0]);© £€.¥Á.§.£§[0].¢ö(°[0])}©{­.§.£§[0].¢ö(°[0])}}£°(e){£(¥¿(\'¥À ¥Ä o £µ ?\'))¢¿()}}}€ Ä(ö,ê,£Š){£(¥Å ö==\'¥Ê\'){£(ê.£ò(0,2)==\'£Ï\')ê=ê.£ò(2,ê.ž);£(ö.£í)ö.£í(ê,£Š,º);© £(ö.£Ì)ö.£Ì(\'£Ï\'+ê,£Š)}}€ ¢Ó(){­=\'\'}€ £È(){¢þ §.³(\'¢Ê\')}€ ¢ï(){£(Ã==\'\'){¢Â.£ï("t.£î.¢ï",€(ï){¡ ¢Ë=\'\';Ã=ï;£(ï.ª(\';\')!=-1){¡ Ú=ï.á(\';\');¢Ë=Ã=Ú[0];å=\'Ö:º\';£(Ú[1]){£(Ú[1]==\'Ö:»\'||Ú[1]==\'Ö:º\')å=Ú[1]}É=\'É:5\';£(Ú[2]){É=Ú[2]}}©{¢Ë=Ã}£(¢Ë==\'ù:»\'){¢Û(\'×.£É();\',¥É)}})}}€ £å(){¡ ¥È=ñ.¢Ð(ä+\'¥Æ.¢ã\',\'¥Ç\',\'Ó=¥Ÿ,ß=¥œ,Ü=·,Ç=·,¢Í=¥µ\')}€ £ž(){¡ £é=°[0];¡ Ÿ=°[1];£(£é.¥Ž==¥³)£(Ÿ.«.ž>=4)¢Ä.¢­(Ÿ.«);© ¢»(¬(\'¢× ¢­ £Ü £Û £× £Ø ¢÷ 4 £Ù.\'))}€ £è(){¡ ¢£=\'¢Ñ\';£(¯)¢£=\'¢Š\';£¬{£(!­){­=ñ.¢Ð(\'\',\'¢â\',\'Ó=\'+¢£+\',ß=È,Ü=·,Ç=·,¢á=0,¢ä=0,¢å=0,¢Í=0,¢Á=0,¢Œ=0,¢è=0\');­.¢À();­=ñ.¢Ð(ä+\'£«.¢ã\',\'¢â\',\'Ó=\'+¢£+\',ß=È,Ü=·,Ç=·,¢á=0,¢ä=0,¢å=0,¢Í=0,¢Á=0,¢Œ=0,¢è=0\');­.£±();Ä(­,\'£Í\',¢Ó)}©{Î(¡ i=¥±;i>0;i--){­.£®(i,0);­.£®(-i,0)}­.¥²()}}£°(e){¥¶ ­;­=ñ.¢Ð(ä+\'£«.¢ã\',\'¢â\',\'Ó=\'+¢£+\',ß=È,Ü=·,Ç=·,¢á=0,¢ä=0,¢å=0,¢Í=0,¢Á=0,¢Œ=0,¢è=0\');­.£±();Ä(­,\'£Í\',¢Ó)}}€ £Ê(){¡ ¥=Ô.£º(\'£Ë\');¡ ¢§=\'\';£(Ã.ª(\';\')!=-1){¡ £Â=Ã.á(\';\');¢§=£Â[0]}© ¢§=Ã;£(¢§==\'ù:º\'){£(!¯)¥.¹(¢Ñ,È);© ¥.¹(¢Š,È)}©{£(!¯){¥.¹(1,1);¥.ç.¢.Ù=\'¢Õ\'}©{¥.¹(0,0)}}¥.£Á.¢.õ="¢š";¥.£Ç.¢.õ="¢š";£(¥.Ý.¢Å)¥.Ý.¢Å(\'£Æ\',¥.¢Î,º);© ¥.Ý.£Å(\'Æ\',¥.¢Î);Ä(¥.Ý,"Æ",€(){¥.¹(1,1);¥.ç.¢.Ù=\'¢Õ\';¥.À(·,·);¥.â(\'\')});¡ ¢±={\'£Ä\':ä};¥.£ñ(Ì.¢Ý(Ì.¢Þ(\'£©\'),\'£©.¢Ù\',¢±));£(¢§==\'ù:º\'){£(!¯){¥.ç.¢.Ù="¢·";¥.¹(¢Ñ,È);¥.â(\'.:: ¢€ - ÿ ::.\')}©{¥.¹(¢Š,È);¥.â(\'.:: ¢€ - ÿ ::.\')}¥.À(·,·)}©{£(!¯)¥.ç.¢.Ù="¢Õ"}}€ £Ÿ(){£(°.ž>0){¡ Ÿ=°[0];¡ ¢à=¥·.á(",");¡ Ž=Ü.§.¿(\'¢ç\');Ž.Ê(\'à\',\'¥Œ\');Ž.¢.¢º=\'¢Ò\';Ž.¢.À=\'¢¯\';Ž.¢.õ=\'¥»\';Ž.¢.Ó=\'¥º\';Ž.¢.ß=\'¥ž\';Ž.¢.Ø=(!¯)?\'Â ¢« Â ¥¹\':\'£Œ Â Â Â\';Ž.¢.£»=\'££\';Ž.¢.Õ=\'÷ ¥Ë #¢ª\';Ž.í=€(){é.¢Ì(º)};Ž.ð=€(){é.¢Ì(»)};Î(¡ i=0;i<¢à.ž;i++)Ž.¢®+=\'<Í ¢="Ø:¢«;Õ-¢ÿ:Ò £¢ #¢ª;ó:¥Ì !¢Ö;">\'+(i+1)+" - "+¢à[i]+\'</Í>\';é.£¹(\'ð\',\'í\',Ž);Ÿ.Ë(Ž)}}€ ¢ú(){£(!(Ô.¢µ(\'¢Ÿ\'))){¡ š=Ô.£º(\'¢Ÿ\');š.¹(È,¥ß);š.À(£Ó,£Ô);š.â(\'.:: ¢€ - ÿ \'+¬(\'¢ž\')+\'::.\');š.£Á.¢.õ="¢š";š.£Ç.¢.õ="¢š";š.£à.¢.û="¢«";£(š.Ý.¢Å)š.Ý.¢Å(\'£Æ\',š.¢Î,º);© š.Ý.£Å(\'Æ\',š.¢Î);Ä(š.Ý,"Æ",€(){š.¹(1,1);š.ç.¢.Ù=\'¢Õ\';š.À(·,·);š.â(\'\')});¡ ¢±={\'£Ä\':ä,\'¥Þ\':¬(\'¢× ¢ž\'),\'¥Ý\':¬(\'¥Û\'),\'¥Ü\':¬(\'¥à ¥á ¥æ £µ\'),\'¥å\':¬(\'¥ä ¥â\'),\'¥ã\':¬(\'¥Ú ¥Ù ¥Ñ\'),\'¥Ð\':¬(\'¥Ï\'),\'¥Í\':¬(\'¥Î\'),\'¥Ò\':¬(\'£â\'),\'¥Ó\':¬(\'¥Ø ¥× ¥Ö-€× £â\'),\'¥Õ\':¬(\'£œ\'),\'¥°\':¬(\'¥¯ ¢Á £á €ê €é\'),\'€è\':¬(\'€æ\'),\'€ç\':¬(\'€ë\'),\'€ì\':¬(\'€ñ\')};š.£ñ(Ì.¢Ý(Ì.¢Þ(\'£ð\'),\'£ð.¢Ù\',¢±));š.£à.£Ò.£Ò.Æ=š.¢À}©{¡ š=Ô.¢µ(\'¢Ÿ\');š.ç.¢.Ù="¢·";š.À(£Ó,£Ô);š.â(\'.:: ¢€ - ÿ \'+¬(\'¢ž\')+\'::.\');š.¹(€ð,¢Š)}¡ ¢Ú=Ã.á(\':\');¡ ¢³=§.³(¢Ú[0]);¡ £Ð=¢Ú[1];Î(¡ i=0;i<¢³.².ž;i++)£(¢³.²[i].«==£Ð)¢³.²[i].¢Ô=»;¡ ¢ô=å.á(\':\');¡ ¢²=§.³(¢ô[0]);¡ £Î=¢ô[1];Î(¡ i=0;i<¢².².ž;i++)£(¢².²[i].«==£Î)¢².²[i].¢Ô=»;¡ ¢Ü=É.á(\':\');¡ £Ö=§.³(¢Ü[0]);£Ö.«=¢Ü[1]}€ £ç(){¡ Ÿ=°[0].£Þ;£(Ÿ.«.ž>=4)¢Ä.¢­(Ÿ.«);© ¢»(¬(\'¢× ¢­ £Ü £Û £× £Ø ¢÷ 4 £Ù.\'))}€ ¢æ(){¡ ¢¡=§.³(\'ù\');¡ «=\'\';¡ ¢ü=º;Î(¡ i=0;i<¢¡.².ž;i++)£(¢¡.²[i].¢Ô==»){«=\'€ï=ù:\'+¢¡.²[i].«;Ã=\'ù:\'+¢¡.²[i].«}¡ ø=§.³(\'Ö\');Î(¡ i=0;i<ø.².ž;i++)£(ø.²[i].¢Ô==»){«+=\'&€í=Ö:\'+ø.²[i].«;£(å!=\'Ö:\'+ø.²[i].«)¢ü=»;å=\'Ö:\'+ø.²[i].«}¡ ¢©=§.³(\'É\');£(¢©.«.ž>0&&¢È(¢©.«)>0){É=\'É:\'+¢©.«;«+=\'&€î=É:\'+¢©.«}©{¢»(¬(\'€å a « €ä ¢÷ €Ü €Û £á 1!\'));¢þ º}¢Â.£ï(\'t.£î.¢æ\',€(ï){£(ï==\'»\'){£(¢ü){ñ.¢Œ.€Ú();­.¢À()}}©{¢»(¬(\'€Ø €Ù €Ý ¢ú!\'))}¡ š=Ô.¢µ(\'¢Ÿ\');š.¢À()},«)}€ £Ú(){¡ Å=(­)?­.§.£ã.ë:¢ý;£(Å!=¢ý)Å.¢.Ù=\'¢·\'}€ ¢¿(){¡ ¥=Ô.¢µ(\'£Ë\');£(å===\'Ö:»\'){£è()}©{£(¥){¥.ç.¢.Ù="¢·";¥.â(\'.:: ¢€ - ÿ ::.\');£(!¯)¥.¹(¢Ñ,È);© ¥.¹(¢Š,È);¥.À(£­,£­)}© £Ê()}}€ £Ã(){£(§.³(\'£ê\')==¢ý){¡ ô=[[\'€Þ\',\'×.æ("2")\',\'€ã.Á\'],[\'€â €á €ß\',\'×.æ("1")\',\'€à.Á\'],[\'€ò\',\'×.æ("3")\',\'€ó.Á\'],[\'¥§\',\'×.æ("4")\',\'¥Š.Á\'],[\'£œ\',\'×.æ("5")\',\'¥¥.Á\'],[\'¥£\',\'×.æ("6")\',\'¥€.Á\']];¡ î="<£³ ¢=\'û:Ò !¢Ö; Ø:÷ ÷ !¢Ö;¥š-¹:¥© !¢Ö;¢¬: #£š;£·: #¢ª;\'>";Î(¡ i £¡ ô){£(i==5)î+="<¢ù ð=\'¢õ(¢Ï);\' í=\'¢ß(¢Ï, º);\' ¢=\'ó: ¢°;\' Æ="+ô[i][1]+">";© î+="<¢ù ð=\'¢õ(¢Ï);\' í=\'¢ß(¢Ï, º);\' ¢=\'ó: ¢°;Õ-¢ÿ:Ò ¢Ã #¢Ò;\' Æ="+ô[i][1]+">";î+="<¥® Á=\'"+¥­(ô[i][2])+"\' ¢=\'Ø-¥¬:¥ª;\'/>"+¬(ô[i][0])+"</¢ù>"}î+="</£³>";¡ Œ=§.¿("Í");Œ.Ê(\'à\',\'£ê\');Œ.¢.Ø=\'-£¥ ¢« Â Â\';Œ.¢.¢¬=\'#£š\';Œ.¢.Õ=\'Ò £¢ #¢ª\';Œ.¢.¢ø=\'Ç\';Œ.¢.À=\'¢¯\';Œ.¢.Ç=\'¥«\';Œ.¢.Ó=\'¥¢\';Œ.¢.£Ý=\'££\';Œ.¢®=î;¡ £ë=§.³(\'£ß\');£ë.Ë(Œ)}}€ ¶(){¢ñ();¢ï();Û();Ä(§,\'¥¡\',Û);Ä(§,\'€ø\',Û)}¶.œ.€÷=¢ñ;¶.œ.€ö=Û;¶.œ.æ=¢Ž;¶.œ.€ô=¢Ó;¶.œ.€õ=£¶;¶.œ.€ù=£È;¶.œ.€ú=£ž;¶.œ.€ÿ=£Ÿ;¶.œ.¢­=£ç;¶.œ.€þ=¢æ;¶.œ.€ý=£Ú;¶.œ.£É=¢¿;ñ.×=ò ¶})();€ ¢ß(){£(°.ž>0){¡ Å=°[0];Å.¢.¢º=\'\';Å.¢.Õ=\'\';£(!°[1])Å.¢.€û=\'Ò ¢Ã #¢Ò\'}}€ ¢õ(){£(°.ž>0){¡ Å=°[0];Å.¢.¢º=\'€ü\';Å.¢.Õ=\'Ò ¢Ã ¥Ô\'}}',95,451,'var|style|if|function|_0|_1|document|_2|else|indexOf|value|jabberitGetLang|myWindow|agt|is_ie|arguments|_3|options|getElementById|_5|_4|Load|50|length|size|false|true|_6|prototype|element|createElement|position|src|0px|flagOpenIM|configEvents|_7|onclick|left|400|flagAwayIM|setAttribute|appendChild|_8|div|for|StatusBar|_9|divJabber|1px|width|_11|border|openWindowJabberitPopUp|loadscript|margin|visibility|temp|autoStatus|top|bz|_10|height|id|split|title|is_major|path_jabberit|flagOpenPopup|chstatusJava|wm|_12|_13|pEvent|firstChild|_16|onmouseout|_14|data|onmouseover|window|new|cursor|_15|display|pObj|2px|elementOpenPop|openWindowJabberit|insertBefore|padding|_19|msie|parentNode|JMessenger|elementOpenW|_17|widPopup|Expresso|_18|250|flagOpenAux|none|elementFlagIM|000|5px|background|search|innerHTML|absolute|pointer|_22|element2|element1|changeStatusJava|get|15px|visible|Preferences|backgroundImage|backgroundColor|alert|location|substr|jabberit_preferences|showWindow|close|status|_23|solid|_21|removeEventListener|is_ie3|is_ie4|parseInt|_20|status_Jabber_Expresso|autoConnect|hiddenObject|scrollbars|button|this|open|220|dedede|closeWindow|selected|hidden|important|Your|navigator|xsl|value1|setTimeout|value3|parse|xml|elementOnMouseOut|orgPartExternal|toolbar|JabberIM|php|menubar|resizable|setPreferences|span|titlebar|url|repeat|autoStatusHandler|_25|StatusBarIM|_24|getPreferences|no|addIcon|TimeStatus|div_write_msg|value2|elementOnMouseOver|changeStatusfromExpresso|than|float|dt|preferences|is_ie5|flagReload|null|return|bottom|in|dashed|99999|elementIframe|10px|pHandler|applets|cecece|contacts_jabberit|addContacts|client|try|60|moveBy|firefox|catch|blur|childNodes|dl|createTextNode|IM|changeLabel|color|keyPressSearch|action|load|zIndex|20px|Away|openWindowParticipantsExternal|opera|_26|bc|aux|subMenuChangeStatus|path|detachEvent|click|bx|getElementStatus|showW|openWindow|jabberit_contacts|attachEvent|onbeforeunload|valueSelect2|on|valueSelect1|jabberit_messenger_content|lastChild|150|100|appVersion|element3|be|longer|characters|showDiv|must|argument|zindex|previousSibling|fast_menu_jabberit|wc|to|Window|body|lastIndexOf|helpJabberit|18px|searchUser|openPopup|ev|subMenu_Change_Status_JabberIt|elementParent|JabberMessenger|addEventListener|db_im|go|preferences_jabberit|content|substring|is_ie5_5|33px|paddingLeft|Email|Nome|removeAttribute|xa|getAttribute|JITConnector|clearTimeout|available|red|checked|60000|Digite|jabberit_group_open|mozilla|do|JITWindows|16bit|spoofer|JITLdap|add|removeChild|em_div_write_msg|is_nav|divStatusBar|win|is_win|is_ie5up|is_ie5_5up|is_ie4up|iceweasel|gecko|is_ie6|is_ie6up|compatible|webtv|hotjava|is_gecko|jabberit_login|is_gecko1_5|item|toLowerCase|option|_27|menu|userAgent|flagMouseOver|ShowHidden|presence|1000|documentElement|jabberit_group_close|Status|99999999|statusJabberExpresso|19px|jabberit_add_user|7px|parseFloat|is_minor|Change|Help|Contacts|Add|JITXTools|Up|Error|saving|reload|equal|or|your|Online|Chat|chat_jabberit|For|Free|available_jabberit|greater|Enter|minutes|langYes|lang12|after|away|Yes|langNo|preferences2|preferences3|preferences1|320|No|Xa|xa_jabberit|closeW|cLabel|autoStatusIM|adIcon|onkeypress|getElement|keyPress|borderBottom|white|show|setPrefe|openWinParExt|onmousemove|120px|Invisible|invisible_jabberit|away_jabberit|dnd_jabberit|Dnd|font|8pt|3px|55px|right|eval|img|Set|lang11|15|focus|13|keyCode|yes|delete|externalParticipantsJabberit|auto|130px|200px|block|fast_splash_jabberit|495|800|confirm|Deseja|contentWindow|contentDocument|iframe_applet_jabberit|conectar|typeof|help|HelpjabberIM|myWindowHelp|2500|object|outset|default|lang7|Cancel|Save|lang6|Offline|lang8|lang9|black|lang10|Pop|as|Open|friends|Show|Connection|lang3|lang2|lang1|310|Enable|Auto|OffLine|lang5|Users|lang4|Login|Contato'.split('|'),0,{}))