Index: anches/celepar/jabberit_messenger/js/.packer.ldap.js
===================================================================
--- /branches/celepar/jabberit_messenger/js/.packer.ldap.js	(revision 727)
+++ 	(revision )
@@ -1,1 +1,0 @@
-eval(function(p,a,c,k,e,d){e=function(c){return(c<a?'':e(c/a))+String.fromCharCode(c%a+161)};if(!''.replace(/^/,String)){while(c--){d[e(c)]=k[c]||e(c)}k=[function(e){return d[e]}];e=function(){return'\[\xa1-\xff]+'};c=1};while(c--){if(k[c]){p=p.replace(new RegExp(e(c),'g'),k[c])}}return p}('(§(){¡ ±;¡ Ã;¡ Ø;§ ç(){¡ ¬=Ø.¢Å(\'¢Ä\');¬.¢Ã(\'.:: ¢Æ ¢Ç ¢Ê ::.\');¬.¢É(¢È);¬.¢Â(¢Á,¢»);¬.Ñ.Š.¢º="¢¹";¡ Ê={\'¢ž\':©(\'¢Œ Ú ¢œ\'),\'¢À\':©(\'¢¿\'),\'¢Ÿ\':©(\'¢Ë Ú ¢Ì\'),\'¢Ú\':©(\'¢Ù\'),\'¢·\':©(\'Ó\'),\'¢Ø\':©(\'ä\'),\'¢Û\':©(\'¢Ü\'),\'¢ß\':©(\'¢Þ ¢Ý\')};¬.¢×.Š.«="°";¬.¢Ö.Š.«="°";¬.¢Ð(Ã.è(Ã.¢Ï(\'¢Î\'),\'¢Í.à\',Ê));±.º(\'t.Ý.¢Ñ\',§(ª){¡ ª=ý(ª);¡ ì=£.€(\'ò\');¥(ª)ì.Š.«=\'œ\'});Ë(¬.Ñ.É[2].É[0],\'×\',§(){¡ š=£.€(\'é\');¡ ­=£.€(\'¿\');¡ Æ=£.€(\'Þ\').¢;¡ Â=£.€(\'í\');Â.³=\'\';š.ã.Š.À="#æ";¥(!Æ){Â.³=\'¢Ò ¢Õ ñ\\õ\\ô ï î Õ ¢Ô e ¢Ó<·/>\'+\' ¢à, ï î Õ ¢ª, Ò ¢¬ Õ ñ\\õ\\ô<·/>\'+\' ¢¯ ¢± ¢² ú\'}®{š.¢=š.¢.Ô(/^( )*|( )*$/g,\'\');­.¢=­.¢.Ô(/^( )*|( )*$/g,\'\');¥(!(š.¢)||!(­.¢)){¥(!(š.¢))Í(©(\'þ\')+"!!\\¢¢ Ò \\"¢­\\".");¥(!(­.¢))Í(©(\'þ\')+"!!\\¢¢ Ò \\"¢°\\".")}®{¡ Ž;¥((Ž=£.€(\'â\')))Ž=Ž.¢;® Ž=Æ.Å(0,(Æ.»(\'@\')-1));±.º(\'t.Ý.¢Ž\',§(ª){ª=ý(ª);¥(!ª){Í("*********** "+©("¢«")+"!! ***********\\n"+©("¢¶ ¢³ ¢® ¢µ Ú a £Å Ó!")+"\\n"+©("£¯ ê £® £°!"));š.¢=\'\';­.¢=\'\'}®{š.¶.Š.«=\'°\';š.¶.Œ.Š.«=\'°\';Â.³=\'<·/>£± ú, £³....<·/>\';±.º(\'t.÷.£²\',§(){Â.³=\'<·/>£­ £¬ !<·/>\';£§(\'ö();\',£Š)},\'¯=\'+Ž+\'&ó=\'+š.¢+\'&Ó=\'+­.¢);š.¢=\'\';­.¢=\'\'}},"¯="+Ž)}}});Ë(¬.Ñ.É[2].É[1],\'×\',§(){¬.£¥(¬.£š)})}§ Ë(ž,µ,Ö){¥(£© ž==\'£«\'){¥(µ.¢Š(0,2)==\'á\')µ=µ.¢Š(2,µ.£ª);¥(ž.¢€)ž.¢€(µ,Ö,Û);® ¥(ž.ø)ž.ø(\'á\'+µ,Ö)}}§ £Ž(e){¡ ë=(e.Ç)?e.Ç:e.ß;¡ À="#£µ";¥(e.£À.»(\'£¿\')!=-1)À="#£Á";ë.Š.£Â=À}§ ¢š(){¡ Ä=£.€(\'£Ä\');¡ Ù=£.€(\'£Ã\');¡ ¢¡=£.€(\'ò\').ü;§ Ð(È){¡ Ê={\'£Ÿ\':©(\'£œ £ž £· ¢á. £¶, £¹ £º £Œ £» ¢©.\'),\'£€\':©(\'££ ¢ì ê ¢ë.\')};Ù.³=Ã.è(È,\'¢í.à\',Ê);§ ¢£(m){m=(m.Ç)?m.Ç:m.ß;¥(m.Ÿ(\'¢\'))m=m.Ÿ(\'¢\');® m=m.¶.Ÿ(\'¢\');¥(!m)Ü Û;£.€(\'ù\').Š.«=\'œ\';£.€(\'Þ\').¢=m.Å(0,m.»(\';\'));£.€(\'â\').¢=m.Å((m.»(\';\')+1));¡ š=£.€(\'é\');¡ Á=£.€(m).³;Á=Á.Å(0,Á.»(\' \'));š.¢=Á;š.ã.Š.À="#æ";š.¶.Š.«=\'œ\';š.¶.Œ.Š.«=\'œ\';š.¶.Œ.Œ.³=\'\';±.º(\'t.÷.¢î\',§(ª){¥(ª=ª.Ô(/(^\\s*)|(\\s*$)/g,\'\')){¡ ­=£.€(\'¿\');¡ ¢ð=\'\';­.¢ï(\'¢ê\',ª);¥(£.€(\'¢é\')==¢ä)¢ã.¢â(£.€(\'¿\'))}£.€(\'ù\').Š.«=\'°\'});£.€(\'¿\').¢=\'\';£.€(\'¿\').¢å()}¡ ²=Ù.ü;¢æ(²){¥(².Ÿ(\'¢è\')===\'1\'){¡ ¯=².Ÿ(\'¢\');¯=¯.Å(¯.»(\';\')+1);².Š.¢ç=\'¢ñ(\'+¢ò+\'¢ý/¢ü.¢þ?¯=\'+¯+\')\'}Ë(²,\'×\',¢£);²=².Œ}}Ä.Š.«="œ";¥(!¢¡.¢ÿ){±.º(\'t.Ý.£¢\',§(È){Ð(È);Ä.Š.«="°"},\'ó=\'+¹[0])}®{§ ¢§(û){¡ ð=£¡ ¢û(/^[A-Ï-Î-¢¥\\-\\.]+@[A-Ï-Î-¢¥\\-\\.]{2,}\\.[A-Ï-Î-9]{2,}(\\.[A-Ï-Î-9])?/);¥(ð.¢ú(û))Ü ¢õ;® Ü Û}¥(¢§(¹[0])){±.º(\'t.¢ô.¢ó\',§(ª){Ð(ª);Ä.Š.«="°"},\'ÿ=\'+¹[0])}®{Í(©(\'¢ö a ¢÷ e-ÿ!\'));Ä.Š.«="°"}}}§ Ì(){±=¹[0];Ã=¹[1];Ø=¹[2]}Ì.å.¢©=¢š;Ì.å.ä=ç;¢ù.¢ø=Ì})();§ ö(){£.€(\'í\').³=\'\'}',95,227,'var|value|document|getElementById|if|style|function|_0|jabberitGetLang|data|display|_1|_2|else|uid|none|_3|_4|innerHTML|_5|pEvent|parentNode|br|pObj|arguments|go|indexOf|nextSibling|block|getAttribute|im_group|color|first_name|_8|_7|_6|substr|_9|target|_12|childNodes|_10|_11|LDAP|alert|z0|Za|getUsersLdap|wc|um|group|replace|da|pHandler|onclick|_14|_13|of|false|return|contacts_im|im_jid|srcElement|xsl|on|im_uid|previousSibling|add|prototype|000|_18|parse|im_name|was|el|elementDiv|im_status_add|campo|no|er|organiza|external_Participants_Jabberit|name|x41o|x41|cleanStatusAddContactIM|ujabber|attachEvent|__span_load_im_group|contato|pMail|firstChild|eval|ATTENTION|mail|_15|nInforme|_16|addEventListener|9_|substring|checkMail|_17|search|direita|Attention|membro|NOME|is|para|GRUPO|adicionar|como|user|verifyAddNewContact|part|This|lang5|lang1|3px|padding|80|Name|Contacts|lang3|Search|lang2|200|position|title|add_user_im|load|Adicionar|Novos|440|size|Contatos|member|organization|add_user|adduser|xml|content|getParticipantsExternal|Selecione|em|esquerda|uma|bx|bz|lang6|nickname|lang4|lang7|close|Expressos|Others|lang8|seguida|results|create|editS|null|focus|while|backgroundImage|photo|selectBox0|selectBoxOptions|found|result|list_ldap_contacts|getGroupsJabber|setAttribute|_20|url|path_jabberit|list_participants_externals|ldap_im|true|Inform|valid|JITLdap|window|test|RegExp|getphoto|inc|php|checked|new|list_contacts|None|empty|button|2500|setTimeout|bc|typeof|length|object|adicionado|Contato|not|Contact|added|Adicionando|AddNewContact|aguarde|_19|fff|Please|50|than|try|to|your|refine|More|many_results|mouseover|type|dedede|backgroundColor|im_ldap_user|__span_load_im|small'.split('|'),0,{}))