Index: trunk/doc-expressolivre/debian/arqs-conf/etc/postgresql/8.3/main/postgresql.conf
===================================================================
--- trunk/doc-expressolivre/debian/arqs-conf/etc/postgresql/8.3/main/postgresql.conf	(revision 685)
+++ trunk/doc-expressolivre/debian/arqs-conf/etc/postgresql/8.3/main/postgresql.conf	(revision 745)
@@ -74,5 +74,5 @@
 
 #authentication_timeout = 1min		# 1s-600s
-ssl = true				# (change requires restart)
+ssl = false				# (change requires restart)
 #ssl_ciphers = 'ALL:!ADH:!LOW:!EXP:!MD5:@STRENGTH'	# allowed SSL ciphers
 					# (change requires restart)
Index: trunk/doc-expressolivre/debian/expressoInstallDebian-lenny.sh
===================================================================
--- trunk/doc-expressolivre/debian/expressoInstallDebian-lenny.sh	(revision 685)
+++ trunk/doc-expressolivre/debian/expressoInstallDebian-lenny.sh	(revision 745)
@@ -51,5 +51,5 @@
 #.....................................................................	    
 
-apt-get install -y apache2-mpm-prefork libapache2-mod-php5 apache2-utils php5 php5-common php5-dev php5-gd php5-imap php5-ldap php5-pgsql php5-cgi php5-cli postgresql postgresql-common postgresql-client postgresql-client-common slapd ldap-utils db4.2-util cyrus-admin-2.2 cyrus-clients-2.2 cyrus-common-2.2 cyrus-doc-2.2 cyrus-imapd-2.2 libcyrus-imap-perl22 postfix postfix-ldap libsasl2-2 libsasl2-modules sasl2-bin nmap vim libmail-imapclient-perl libparse-recdescent-perl libterm-readkey-perl libterm-readline-perl-perl zip unzip graphviz lsb-base openssl ssl-cert || { echo "ImpossÃ­vel continuar, erro no nome dos pacotes"; exit 1;}
+apt-get install -y apache2-mpm-prefork libapache2-mod-php5 apache2-utils php5 php5-common php5-dev php5-gd php5-imap php5-ldap php5-pgsql php5-cgi php5-cli slapd ldap-utils db4.2-util cyrus-admin-2.2 cyrus-clients-2.2 cyrus-common-2.2 cyrus-doc-2.2 cyrus-imapd-2.2 libcyrus-imap-perl22 postfix postfix-ldap libsasl2-2 libsasl2-modules sasl2-bin nmap vim libmail-imapclient-perl libparse-recdescent-perl libterm-readkey-perl libterm-readline-perl-perl zip unzip graphviz lsb-base openssl ssl-cert || { echo "ImpossÃ­vel continuar, erro no nome dos pacotes"; exit 1; }
 
 ############################################################################################
@@ -60,41 +60,4 @@
 LDAP_PWD_MD5=`php ./arqs-conf/regexp.php $LDAP_PWD_MD5`
 HEADER_PWD=`php ./arqs-conf/pass.php $LDAP_PWD`
-############################################################################################
-# POSTGRES
-
-#parando o serviÃ§o e fazendo backup
-/etc/init.d/postgresql-8.3 stop
-mv /var/lib/postgresql/8.3/main /var/lib/postgresql/8.3/main_backup_$(date +%s)
-
-#alterando o proprietÃ¡rio do diretÃ³rio temporariamente
-chown postgres\: /var/lib/postgresql/8.3
-
-su - postgres -c 'export LANG=pt_BR.ISO-8859-1;/usr/lib/postgresql/8.3/bin/initdb -E latin1 -D /var/lib/postgresql/8.3/main'
-
-#restaurando o proprietÃ¡rio do diretÃ³rio
-chown root\: /var/lib/postgresql/8.3
-
-#criando links simbÃ³licos necessÃ¡rios
-ln -s /etc/ssl/certs/ssl-cert-snakeoil.pem /var/lib/postgresql/8.3/main/server.crt
-ln -s /etc/ssl/private/ssl-cert-snakeoil.key /var/lib/postgresql/8.3/main/server.key
-ln -s /etc/postgresql-common/root.crt /var/lib/postgresql/8.3/main/root.crt
-
-cp ./arqs-conf/etc/postgresql/8.3/main/postgresql.conf /etc/postgresql/8.3/main/
-cp ./arqs-conf/etc/postgresql/8.3/main/pg_hba.conf /etc/postgresql/8.3/main/
-
-/etc/init.d/postgresql-8.3 start
-
-su - postgres -c 'dropdb expresso'  || { echo "Banco expresso nÃ£o existia. [OK]"; }
-su - postgres -c 'createdb -E LATIN1 expresso'  || { echo "Problemas na criaÃ§Ã£o do banco expresso. [Falhou]"; exit 1;}
-
-sed -e "s/LDAP_DN/$LDAP_DN/g" -e "s/LDAP_PWD/$LDAP_PWD/g" -e "s/ORG/$ORG/g" -e "s/DOMAIN/$DOMAIN/g" ./arqs-conf/expresso.dump > /tmp/expresso.dump
-
-su - postgres -c 'psql -f /tmp/expresso.dump expresso'
-
-rm /tmp/expresso.dump
-
-/etc/init.d/postgresql-8.3 restart
-
-
 ############################################################################################
 # APACHE
@@ -164,7 +127,4 @@
 echo "127.0.0.1		$DOMAIN" >> /etc/hosts
 
-
-
-
 sleep 10
 
@@ -180,4 +140,33 @@
 
 ############################################################################################
+# POSTGRES
+apt-get install -y postgresql postgresql-common postgresql-client postgresql-client-common || { echo "Erro ao iniciar. Sem problema.[OK]";}
+#parando o serviÃ§o e fazendo backup
+/etc/init.d/postgresql-8.3 stop
+mv /var/lib/postgresql/8.3/main /var/lib/postgresql/8.3/main_backup_$(date +%s)
+
+#alterando o proprietÃ¡rio do diretÃ³rio temporariamente
+chown postgres\: /var/lib/postgresql/8.3
+
+su - postgres -c 'export LANG=pt_BR.ISO-8859-1;/usr/lib/postgresql/8.3/bin/initdb -E latin1 -D /var/lib/postgresql/8.3/main'
+
+#restaurando o proprietÃ¡rio do diretÃ³rio
+chown root\: /var/lib/postgresql/8.3
+echo "COPIANDO ARQUIVOS DE CONFIGURACAO DO EXPRESSO PARA O PGSQL...."
+cp ./arqs-conf/etc/postgresql/8.3/main/postgresql.conf /etc/postgresql/8.3/main/
+cp ./arqs-conf/etc/postgresql/8.3/main/pg_hba.conf /etc/postgresql/8.3/main/
+/etc/init.d/postgresql-8.3 start
+
+su - postgres -c 'dropdb expresso'  || { echo "Banco expresso nÃ£o existia. [OK]"; }
+su - postgres -c 'createdb -E LATIN1 expresso'  || { echo "Problemas na criaÃ§Ã£o do banco expresso. [Falhou]"; exit 1;}
+
+sed -e "s/LDAP_DN/$LDAP_DN/g" -e "s/LDAP_PWD/$LDAP_PWD/g" -e "s/ORG/$ORG/g" -e "s/DOMAIN/$DOMAIN/g" ./arqs-conf/expresso.dump > /tmp/expresso.dump
+
+su - postgres -c 'psql -f /tmp/expresso.dump expresso'
+
+rm /tmp/expresso.dump
+
+/etc/init.d/postgresql-8.3 restart
+
 
 ## Mudamos o debconf para high, default do Debian Etch.