Index: trunk/setup/templates/default/css/celepar.css
===================================================================
--- trunk/setup/templates/default/css/celepar.css	(revision 796)
+++ trunk/setup/templates/default/css/celepar.css	(revision 796)
@@ -0,0 +1,420 @@
+#setup_info
+{
+	color:#5F5F5F;
+}
+
+#setup_error
+{
+	color:red;
+}
+
+#setup_warning
+{
+	color: #5F5F5F;
+}
+/*
+StyleSheet coding standards:
+
+1. use lowercase if possible
+
+2. format styles like this:
+
+body
+{
+	font-size: 12px;
+	font-family: Verdana, Arial, Helvetica, sans-serif
+}
+
+3. existing html elements on top of the document, then all self defined .classes and at last all self defined #id's.
+
+4. close every property with ; also the last one.
+*/
+
+body 
+{
+	background-image:url(../images/body-background.png);
+	font-size: 11px; 
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	padding:3px;
+}
+
+form
+{
+	margin:0px;
+	padding:0px;
+}
+
+img
+{
+	border-width:0px;
+	border-style:none;
+	/*filter:progid:DXImageTransform.Microsoft.AlphaImageLoader;
+*/
+}
+
+a:link,a:visited
+{
+	cursor:pointer;
+	color: #006699; 
+	text-decoration: none;
+}
+
+/*
+a:visited 
+{
+	color: #006699; 
+	text-decoration: none;
+}
+*/
+a:hover,a:active
+{
+	cursor:pointer;
+	color: #ff9933;
+	text-decoration: underline;
+}
+/*
+a:active 
+{
+	color: #006699; 
+	text-decoration: underline;
+}
+*/
+input,button
+{
+	font-size: 12px; 
+	color: #006699; 
+	font-family: Arial, Helvetica, sans-serif;
+	border: 1px #bbbbbb solid;
+}
+
+input[type=submit],input[type=button],input[type=reset],button
+{
+	margin:1px;
+	padding:1px;
+	cursor: pointer; 
+	cursor: hand;
+}
+
+input[type=image]
+{
+	cursor: pointer; 
+	cursor: hand;
+	border: 0px #bbbbbb none;
+}
+select 
+{
+	font-size: 11px; 
+	color: #006699; 
+	font-family: Arial, Helvetica, sans-serif;
+	border: 1px #bbbbbb solid;
+}
+
+td
+{
+
+/* global tags should never be defined here [ndee]*/
+	font-size: 11px;
+/* removed text-align:left; [ndee]*/
+	/*	padding-top:1px;
+	padding-bottom:1px;*/
+}
+
+.divLoginbox 
+{
+	position:relative;
+	width: 300px; 
+	border-right: #9c9c9c 1px solid; 
+	border-top: #9c9c9c 1px solid; 
+	border-left: #9c9c9c 1px solid; 
+	border-bottom: #9c9c9c 1px solid
+}
+
+.divLoginboxHeader 
+{
+	text-align:center;
+	background-color:#dddddd;
+	padding-top:2px;
+	font-size:10px;
+	color:#666666;
+}
+.divSidebox 
+{
+	position:relative;
+	width: 147px; 
+	border-right: #9c9c9c 1px solid; 
+	border-top: #9c9c9c 1px solid; 
+	border-left: #9c9c9c 1px solid; 
+	border-bottom: #9c9c9c 1px solid
+}
+
+.divSideboxHeader 
+{
+	text-align:center;
+	background-color:#dddddd;
+	padding-top:2px;
+	font-size:10px;
+	color:#666666;
+}
+
+a.divSideboxEntry, .divSideboxEntry
+{
+	text-align:left;
+	height:16px;
+	background-color:#eeeeee;
+}
+
+a.appTitles,.appTitles
+{
+	font-size: 10px; 
+	height:18px;
+	padding-top:2px;
+	padding-bottom:2px;
+}
+
+a.textSidebox
+{
+	font-size: 10px; 
+	border-top: #aaaaaa 0px none;
+}
+
+.textSidebox
+{
+	font-size: 10px; 
+	height:18px;
+	padding-top:2px;
+	padding-bottom:2px;
+	border-top: #aaaaaa 1px solid;
+
+}
+
+.sideboxSpace
+{
+	height:9px;
+}
+
+.greyLine
+{
+	margin:1px;
+	border-top-color:#7e7e7e;
+	border-top-width:1px;
+	border-top-style:solid;
+	height:1px;
+}
+
+.prefSection
+{
+	font-weight:bold;
+	font-size:16px;
+	line-height:40px;
+}
+
+#extraIcons
+{
+/*	position:absolute;
+	z-index:13;
+	right:10px;
+	top:113px;
+	visibility:hidden;*/
+/*	background-image:url(../images/alpha-white.png);*/
+	background-color:#eeeeee;
+	border-width:1px;
+	border-color:#7e7e7e;
+	border-style:solid;
+}
+
+.extraIconsRow
+{
+	border-top-color:#dddddd;
+	border-top-width:1px;
+	border-top-style:solid;
+	padding:2px;
+}
+
+#divMain
+{
+	background-color:white;
+	margin-top: 5px;
+	padding:9px;
+	border-color:#7e7e7e;
+	border-width:1px;
+	border-style:solid;
+}
+
+#divLogo
+{
+	position:absolute;
+	left:20px;
+	top:5px;
+	z-index:51;
+}
+
+#divAppIconBar
+{
+	background-color:white;
+	border-top-color:#9c9c9c;
+	border-top-width:1px;
+	border-top-style:solid;
+	background-image: url(../images/fundo_topo.gif); 
+	background-repeat: repeat-x
+}
+
+#divAppTextBar
+{
+	background-color:white;
+}
+
+#divStatusBar
+{
+	background-color:white;
+	height:15px;
+	padding-left:10px;
+	margin-top: 13px;
+	/*	margin-bottom: 2px;*/
+}
+
+/*#divSubContainer
+{
+}
+*/
+#tdSidebox
+{
+	width:170px;
+	background-color:white;
+	overflow:visible;
+}
+
+
+#tdAppbox
+{
+	background-color:white;
+	padding-left:5px;
+	width: 100%;
+}
+#divSideboxContainer
+{
+	position:relative;
+	width:150px;
+	top:0px;
+	left:0px;
+	background-color:white;
+	border-width:1px;
+	border-style:solid;
+	z-index:40;
+}
+
+#divAppboxHeader
+{
+	/*width:100%;*/
+	background-image:url(../images/appbox-header-background.png);
+	background-repeat: repeat-x;
+	height:36px;
+	line-height:28px;
+	text-align:center;
+	/*	padding-top:7px;*/
+	padding-bottom:0px;
+	font-size:14px;
+	font-weight:bold;
+	color:#666666;
+	border-top-color:#9c9c9c;
+	border-top-width:1px;
+	border-top-style:solid;
+	border-left-color:#9c9c9c;
+	border-left-width:1px;
+	border-left-style:solid;
+	border-right-color:#9c9c9c;
+	border-right-width:1px;
+	border-right-style:solid;
+}
+
+#divAppbox
+{
+/*	width:100%;*/
+	background-color:#f7f7f7;
+	padding:5px;
+	border-bottom-color:#9c9c9c;
+	border-bottom-width:1px;
+	border-bottom-style:solid;
+	border-left-color:#9c9c9c;
+	border-left-width:1px;
+	border-left-style:solid;
+	border-right-color:#9c9c9c;
+	border-right-width:1px;
+	border-right-style:solid;
+}
+
+#fmStatusBar
+{
+	margin-left:4px;
+	margin-bottom:3px;
+	font-size: 10px; 
+/*	font-family: Verdana, Arial, Helvetica, sans-serif;*/
+	
+
+}
+
+
+.fmButton
+{
+	background-image:url(../images/buttonbackground.png);
+	width:28px;
+	height:28px;
+	background-repeat: no-repeat;
+}
+
+#fmLocation
+{
+	position:relative;
+	/*background-image:url(../images/buttonbackgroundscaled.png);
+	background-repeat: repeat-x;*/
+	/*margin-left:4px;*/
+	margin-bottom:3px;
+	height:27px;
+
+}
+
+#fmMenu
+{
+	position:relative;
+}
+#fmFileWindow
+{
+	background-color:#ffffff;
+	margin-left:4px;
+	padding:5px;
+	position:relative;
+	border-right: #cccccc 1px solid; 
+	border-top: #9c9c9c 2px solid; 
+	border-left: #9c9c9c 2px solid; 
+	border-bottom: #cccccc 1px solid
+}
+
+#user_info
+{
+
+
+}
+
+#admin_info
+{
+	position:relative;
+	text-align:right;
+}
+
+#divGenTime
+{
+	bottom:14px;
+	font-size: 9px;
+	color: #ff0000;
+	text-align:center;
+	width:99%;
+}
+
+#divPoweredBy 
+{
+	bottom:14px;
+	font-size: 9px;
+	color: #000000;
+	text-align:center;
+	width:99%;
+}
+
Index: trunk/setup/templates/default/head.tpl
===================================================================
--- trunk/setup/templates/default/head.tpl	(revision 2)
+++ trunk/setup/templates/default/head.tpl	(revision 796)
@@ -31,6 +31,5 @@
 		<link rel="icon" href="../phpgwapi/templates/default/images/favicon.ico" type="image/x-ico" />
 		<link rel="shortcut icon" href="../phpgwapi/templates/default/images/favicon.ico" />
-		<link href="../phpgwapi/templates/idots/css/idots.css" type="text/css" rel="stylesheet" />
-		<link href="templates/default/css/idots.css" type="text/css" rel="stylesheet" />
+		<link href="templates/default/css/celepar.css" type="text/css" rel="stylesheet" />
 		<!--
 		{css}
@@ -49,17 +48,7 @@
 			-->	
 		</style>
-		
-		<!--{java_script}-->
-		
-		<!-- this solves the internet explorer png-transparency bug, but only for ie 5.5 and higher --> 
-		<!--[if gte ie 5.5000]>
-		<script src="../phpgwapi/templates/idots/js/pngfix.js" type=text/javascript>
-		</script>
-		<![endif]-->
 
 	</head>
 	<body>
-
-<div id="divLogo"><a href="http://www.egroupware.org" target="_blank"><img src="../phpgwapi/templates/idots/images/logo-setup.png" border="0" alt="egroupware"/></a></div>
 
 <div id="divMain">
@@ -67,9 +56,13 @@
 		<table width="100%" border="0" cellspacing="0" cellpadding="0">
 			<tr>
-				<td width="180" valign="top" align="left"><img src="../phpgwapi/templates/idots/images/grey-pixel.png" width="1" height="68" alt="spacer" /></td>
+				<td width="180" valign="top" align="left">
+				</td>
 				<td>
 					<table width="100%" border="0" cellspacing="0" cellpadding="0">
 						<tr>
-							<td width="100%"><img src="../phpgwapi/templates/idots/images/spacer.gif" width="1" height="68" alt="spacer" /></td>
+							<td width="100%"><img src="templates/default/images/spacer.gif" width="1" height="68" alt="spacer" /></td>
+							<td width="100%"><a href="http://www.expressolivre.org" target="_blank"><img src="templates/default/images/logo_expresso.png" border="0" alt="expresso"/></a>
+</td>
+
 						</tr>
 						<tr>
@@ -79,5 +72,5 @@
 
 				</td>
-				<td width="1" valign="top" align="right"><img src="../phpgwapi/templates/idots/images/grey-pixel.png" width="1" height="68" alt="spacer" /></td>
+				<td width="1" valign="top" align="right"><img src="templates/default/images/grey-pixel.png" width="1" height="68" alt="spacer" /></td>
 			</tr>
 		</table>
@@ -97,9 +90,9 @@
 					
 								<tr class="divSideboxEntry">
-									<td width="20" align="center" valign="middle" class="textSidebox"><img src="../phpgwapi/templates/idots/images/orange-ball.png" alt="ball" /></td><td class="textSidebox"><a class="textsidebox" href="../home.php">{user_login}</a></td>
+									<td width="20" align="center" valign="middle" class="textSidebox"><img src="templates/default/images/orange-ball.png" alt="ball" /></td><td class="textSidebox"><a class="textsidebox" href="../home.php">{user_login}</a></td>
 								</tr>
 <!-- BEGIN loged_in -->
 								<tr class="divSideboxEntry">
-									<td width="20" align="center" valign="middle" class="textSidebox"><img src="../phpgwapi/templates/idots/images/orange-ball.png" alt="ball" /></td><td class="textSidebox">{check_install}</td>
+									<td width="20" align="center" valign="middle" class="textSidebox"><img src="templates/default/images/orange-ball.png" alt="ball" /></td><td class="textSidebox">{check_install}</td>
 								</tr>
 
@@ -109,5 +102,5 @@
 
 								<tr class="divSideboxEntry">
-									<td width="20" align="center" valign="middle" class="textSidebox"><img src="../phpgwapi/templates/idots/images/orange-ball.png" alt="ball" /></td><td class="textSidebox">{logoutbutton}</td>
+									<td width="20" align="center" valign="middle" class="textSidebox"><img src="templates/default/images/orange-ball.png" alt="ball" /></td><td class="textSidebox">{logoutbutton}</td>
 								</tr>
 <!-- END loged_in -->